SDL_ConvertSurface(3)

NAME
SDL_ConvertSurface - Copy an existing surface to a new surface of the specified format.

SYNOPSIS
#include <SDL3/SDL_surface.h>

SDL_Surface * SDL_ConvertSurface(SDL_Surface *surface, SDL_PixelFormat format);

DESCRIPTION
This function is used to optimize images for faster repeat blitting. This is accomplished by converting the original and storing the result as a new surface. The new, optimized surface can then be used as the source for future blits, making them faster.

If you are converting to an indexed surface and want to map colors to a palette, you can use SDL_ConvertSurfaceAndColorspace() instead.

If the original surface has alternate images, the new surface will have a reference to them as well.

FUNCTION PARAMETERS

surface
    the existing SDL_Surface structure to convert.

format
    the new pixel format.

RETURN VALUE
Returns the new SDL_Surface structure that is created or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_ConvertSurfaceAndColorspace(3), SDL_DestroySurface(3)